Bug 233172 - Add Cluster & Cluster Storage Channels to GFS & Cluster Suite
Add Cluster & Cluster Storage Channels to GFS & Cluster Suite
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
wes hayutin
: Reopened
Depends On: 236053
  Show dependency treegraph
Reported: 2007-03-20 15:28 EDT by Matt Webbink
Modified: 2007-04-23 22:25 EDT (History)
8 users (show)

See Also:
Fixed In Version: rhn500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-23 22:25:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Webbink 2007-03-20 15:28:23 EDT
The RHEL 5 cluster and cluster storage channels need to be added to the stand
alone GFS and Cluster Suite offerings.

These additions can be found in revision # 113527 of the sku-mappings.csv.

Please run in QA, then in Production (once approved).
Comment 1 Bret McMillan 2007-03-28 15:26:32 EDT
Mappings have been applied to QA:

Processing CSV ./233172.csv

Processing item WAR0081
Processing item WAR0263
Processing item WAR0262
Processing item SVC0223
Processing item SVC0222
Processing item SER0216US
Processing item SER0210US
Processing item SVC0222RW
Processing item SVC0080RW
Processing item SVC0042RW
Processing item SVC0080
Processing item SVC0073
Processing item SER0217US
Processing item SVC0123
Processing item SER0209US
Processing item SVC0124
Processing item SVC0042
Commit specified. Scheduling product repolls...
  771 orgs have active WAR0081 lines
  13 orgs have active WAR0263 lines
  145 orgs have active WAR0262 lines
  1 orgs have active SVC0223 lines
  19 orgs have active SVC0222 lines
  0 orgs have active SER0216US lines
  8 orgs have active SER0210US lines
  0 orgs have active SVC0222RW lines
  17 orgs have active SVC0080RW lines
  46 orgs have active SVC0042RW lines
  429 orgs have active SVC0080 lines
  61 orgs have active SVC0073 lines
  0 orgs have active SER0217US lines
  0 orgs have active SVC0123 lines
  0 orgs have active SER0209US lines
  0 orgs have active SVC0124 lines
  751 orgs have active SVC0042 lines
  Queue now contains 2084 orgs
Success. Committing transaction.
Comment 2 Bret McMillan 2007-03-28 15:37:28 EDT
Let me know when you're ready to move these to stage.
Comment 3 Matt Webbink 2007-03-29 15:02:24 EDT
Do we need to schedule this to run during an outage when pushing to Prod?
Comment 4 wes hayutin 2007-03-30 10:47:46 EDT
create a new account in
webqa...then have perl grant each SKU one at a time, and verify that the
number of entitlements from the web UI increment appropriately based on
the CSV file.
Comment 5 wes hayutin 2007-03-30 11:25:30 EDT
Processing item WAR0081  pass
Processing item WAR0263  pass 4
Comment 6 wes hayutin 2007-03-30 12:09:24 EDT
war0262 pass
svc0223 pass
svc0222 pass
SER0216US pass
SER0210US pass
SVC0222RW pass

Comment 7 wes hayutin 2007-03-30 13:09:57 EDT
 46 orgs have active SVC0042RW lines    pass
  429 orgs have active SVC0080 lines   pass
  61 orgs have active SVC0073 lines   pass

0 orgs have active SER0217US lines pass
  0 orgs have active SVC0123 lines  pass
  0 orgs have active SER0209US lines  pass
  0 orgs have active SVC0124 lines  pass 
  751 orgs have active SVC0042 line  pass
Comment 8 Bret McMillan 2007-04-02 14:46:49 EDT
Wes, did you mean to mark this verified?  Normally the PM or requestor takes
care of that for things in RHN/Channels; it's fine if you checked it though :)
Comment 9 Bret McMillan 2007-04-05 15:24:06 EDT
Mappings have been pushed to production, repoll is in progress.
Comment 10 Rob Kenna 2007-04-10 16:05:59 EDT
I'm re-opening this.  While the channels are now visible, they are not visible
to customers with a GFS entitlement.  That is, if I bought a GFS or ClusterSuite
entitlement 6 months ago, I do not see the new sub channels in RHEL 5.

RHCS entitlement owners should see the Cluster subchannel and
GFS entitlement owners should see both the Cluster and ClusterStorage subchannels.
Comment 11 Bret McMillan 2007-04-13 16:56:29 EDT
I wrote a query that identified the sku's that provide gfs & do not provide
cluster/cluster-storage; mattwebb will be correcting those, and we'll push a fix
early next week.
Comment 12 Bret McMillan 2007-04-14 21:24:23 EDT
bz # 236053 is now ON_QA and mattwebb says it includes the changes necessary to
fix the reported issues.  Moving this to ON_QA as well.
Comment 13 Bret McMillan 2007-04-16 10:46:30 EDT
blocker bug doesn't address cluster adequately, moving to fails_qa
Comment 14 Bret McMillan 2007-04-19 19:16:53 EDT
mappings re-applied to webqa
Comment 16 Bret McMillan 2007-04-23 22:25:22 EDT
bz #236053 has been run in production, this issue should now be taken care of.

Please re-open if any other issues are found.

Note You need to log in before you can comment on or make changes to this bug.